BASENAME(1)

NUME
basename - elimină directorul și sufixul din numele fișierelor

SINOPSIS
basename NUME [SUFIX]
basename OPȚIUNE... NUME...

DESCRIERE

Afișează NUME cu toate componentele ce preced directorul eliminate. Dacă este specificat, elimină, de asemenea, un SUFIX final.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-a, --multiple
    acceptă mai multe argumente și-le tratează pe fiecare drept NUME

-s, --suffix=SUFIX
    elimină un SUFIX final; implică -a

-z, --zero
    termină fiecare linie afișată cu NUL, nu cu o nouă linie

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

EXEMPLE

basename /usr/bin/sort
    -> "sort"

basename include/stdio.h .h
    -> "stdio"

basename -s .h include/stdio.h
    -> "stdio"

basename -a director/șir1 director/șir2
    -> „șir1” urmat de „șir2”

AUTOR
Scris de David MacKenzie.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

CONSULTAȚI ȘI
dirname(1), readlink(1)

Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/basename>
sau local rulând comanda: «info '(coreutils) basename invocation'»

Împachetat de Debian (9.7-3)
Drepturi de autor © 2025 Free Software Foundation, Inc.
Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți.
Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.